curl --request POST \
--url https://baze-api.powerbuyin.top/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.7-image-pro",
"response_format": "url",
"input": {
"messages": [
{
"role": "user",
"content": [
{
"image": "https://example.com/car.webp"
},
{
"image": "https://example.com/paint.webp"
},
{
"text": "Spray the graffiti from image 2 onto the car in image 1"
}
]
}
]
},
"size": "2K",
"n": 1,
"watermark": false,
"negative_prompt": "keep the original body color",
"seed": 0
}
'{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
],
"metadata": {}
}Call Ali wan2.7-image-pro for image editing.
The public contract keeps top-level model, input, and response_format, while exposing size, n, watermark, negative_prompt, seed, and bbox_list as top-level fields. Input images are provided in input.messages[0].content[].image, and the edit instruction is the text item in the same content array. Top-level parameters is not accepted.
curl --request POST \
--url https://baze-api.powerbuyin.top/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.7-image-pro",
"response_format": "url",
"input": {
"messages": [
{
"role": "user",
"content": [
{
"image": "https://example.com/car.webp"
},
{
"image": "https://example.com/paint.webp"
},
{
"text": "Spray the graffiti from image 2 onto the car in image 1"
}
]
}
]
},
"size": "2K",
"n": 1,
"watermark": false,
"negative_prompt": "keep the original body color",
"seed": 0
}
'{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
],
"metadata": {}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Image editing model name.
wan2.7-image-pro Show child attributes
Unified response format.
url, b64_json Output image resolution. For image editing, the official presets such as 1K and 2K are recommended. The gateway maps it to upstream parameters.size.
Number of generated images. The gateway maps it to upstream parameters.n.
1 <= x <= 4Whether to add watermark. The gateway maps it to upstream parameters.watermark.
Negative prompt. The gateway maps it to upstream parameters.negative_prompt.
Random seed in the range [0, 2147483647]. The gateway maps it to upstream parameters.seed.
Interactive edit bounding boxes aligned with the input image order. The gateway maps it to upstream parameters.bbox_list.